<div class="card">


    <div class="ibox-title p-2" >
        <div class="ibox-title-child" style="display: inline-block"><i class="ri-user-add-line title_icone"></i>
            {{"BREADCRUMBS.PROSPECT_MANAGEMENT.NEW_PROSPECT"|translate}}</div>
          <button mat-mini-fab  class="menu-add   " aria-label="Example icon-button with a menu" (click)="redirect(1)"  >
            <mat-icon matTooltip="list des prospects" class="menu-add-icon menu-add-user"><i class="ri-list-unordered"></i></mat-icon>
          </button>
      </div>

    <div class="card-body p-2">
        <div id="general-informations-body" class="collapse show">
            <div class=" p-2">
                <form [formGroup]="TypeFormGroup" autocomplete="off">
                    <label class="w-auto  legend">Type de Prospect</label>
                    <fieldset class="border form">
                        <div class="row">
                            <div class="col-md-3">
                                <!-- <label class="col-form-label">{{'NOUVEAU_COMPTE.TYPE_COMPTE'|translate}}</label> -->
                                <select class="form-control form-control-sm" name="selectedAccountType"
                                    formControlName="selectedAccountType" (change)="onchangeType()">
                                    <option *ngFor="let accountType of accountTypeList" [value]="accountType.code">
                                        {{accountType.label | translate}}</option>
                                </select>
                            </div>
                        </div>
                    </fieldset>
                </form>


                <!-- account pp -->

                <form *ngIf="accountType=='PP'" [formGroup]="accountPPFormGroup" autocomplete="off">



                    <label class="w-auto  legend">Informations générales</label>
                    <fieldset class="border form">
                        <!-- <legend class="w-auto  legend">informations générales</legend> -->

                        <!-- PHOTO -->
                        <!-- <div class="row d-flex justify-content-center">
                                                    <div class=" profilepic" (click)="onDownload()">
                                                        <img class="profilepic__image"  [src]="photoImg" height="200" width="200" alt="Profibild" />
                                                        <div class="profilepic__content" >
                                                          <span class="profilepic__icon"><i class="ri-camera-line"></i></span>
                                                          <span class="profilepic__text">Edit Profile</span>
                                                          <input  id="imageUpload"  type="file" (change)="onFileSelected($event)"
                                                                        [accept]="['.jpeg','.jpg','.png']" capture>
                                                        </div>
                                                      </div>
                                                </div> -->

                        <!-- 1 bloc -->
                        <div class="row">
                            <!-- CIVILITE -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label> -->
                                <ngx-select [items]="civiliteList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="civilite"
                                    [placeholder]="'FIELD.COMPTE_PP.CIVILITE'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('civilite').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('civilite').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('civilite').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- PRENOM -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NOM'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="lastName"
                                    pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.NOM'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('lastName').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('lastName').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('lastName').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- NOM -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="firstName"
                                    pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.PRENOM'|translate}}">
                                <div *ngIf="accountPPFormGroup.get('firstName').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('firstName').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('firstName').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- profission -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="profission"
                                    placeholder="{{'FIELD.COMPTE_PP.PROFESSION'|translate}}" pattern="[A-Za-zÀ-ÿ ]+">

                                <div *ngIf="accountPPFormGroup.get('profission').invalid && showValidationsMsg">

                                    <div *ngIf="accountPPFormGroup.get('profission').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('profission').errors.pattern"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 2 bloc -->
                        <div class="row ">
                            <!-- PI -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NOM'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="pieceIdentite"
                                    pattern="[A-Za-zÀ-ÿ ]+"
                                    placeholder="{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('pieceIdentite').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('pieceIdentite').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('pieceIdentite').errors.pattern"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- NumPi-->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="numPi"
                                    pattern="[A-Za-zÀ-ÿ 0-9 ]+" placeholder="{{'FIELD.COMPTE_PP.NUM_PI'|translate}}">
                                <div *ngIf="accountPPFormGroup.get('numPi').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('numPi').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('numPi').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- date d'experation pi -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EXP'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="dateExpPI"
                                    [placeholder]="'FIELD.COMPTE_PP.DATE_EXP_PI'|translate" [owlDateTime]="dt">
                                <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
                                    <i class="ri-calendar-line"></i>
                                </span>
                                <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

                                <div *ngIf="accountPPFormGroup.get('dateExpPI').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- SECTEUR -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label> -->
                                <ngx-select [items]="secteurList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="secteur"
                                    [placeholder]="'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('secteur').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('secteur').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('secteur').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 3 bloc -->
                        <div class="row ">
                             <!-- code postal -->
                             <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label> -->
                                <input type="number" class="form-control form-control-sm" formControlName="codePostale" placeholder="{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('codePostale').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('codePostale').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>

                            </div>
                            <!-- nationalite -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label> -->
                                <ngx-select [items]="nationaliteList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="nationality"
                                    [placeholder]="'FIELD.COMPTE_PP.NATIONALITE'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('nationality').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('nationality').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('nationality').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                            <!-- pays -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label> -->
                                <ngx-select [items]="paysList" [optionValueField]="'code'" [optionTextField]="'value'"
                                    formControlName="pays" [placeholder]="'FIELD.COMPTE_PP.PAYS'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('pays').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('pays').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('pays').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                            <!-- adress -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.ADRESSE'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="address"
                                    placeholder="{{'FIELD.COMPTE_PP.ADRESSE'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('address').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('address').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 4 bloc -->
                        <div class="row ">

                            <!--phone  -->
                            <div class="col-md-3 mt-3">
                                <input type="number" class="form-control form-control-sm" formControlName="mobile"
                                    pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PP.MOBILE'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('mobile').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('mobile').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('mobile').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                            <!-- email -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.EMAIL'|translate}}</label> -->
                                <input type="email" class="form-control form-control-sm" formControlName="email"
                                    pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$"
                                    placeholder="{{'FIELD.COMPTE_PP.EMAIL'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('email').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('email').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('email').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                                    </div>


                                </div>
                            </div>


                        </div>

                    </fieldset>
                </form>
                <!-- end account pp -->

                <!-- account pm -->

                <form *ngIf="accountType=='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">
                    <label class="w-auto  legend">informations générales</label>
                    <fieldset class="form border">
                        <!-- bloc 1 -->
                        <div class="row">
                            <!-- raison social -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="socialReason"
                                    pattern="[A-Za-z0-9 ]+" placeholder="{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('socialReason').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('socialReason').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('socialReason').errors.pattern"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- form juridique -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.FORME_JURI'|translate}}</label> -->
                                <ngx-select [items]="formeJuridiqueList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="legalForm"
                                    [placeholder]="'FIELD.COMPTE_PM.FORME_JURI'|translate" size='small'
                                    [ngClass]="{'disabled': accountPMFormGroup.get('legalForm').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPMFormGroup.get('legalForm').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('legalForm').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- ICE -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.ICE'|translate}}</label> -->
                                <input type="number" class="form-control form-control-sm" formControlName="ice"
                                   placeholder="{{'FIELD.COMPTE_PM.ICE'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('ice').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('ice').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('ice').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- pays -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label> -->
                                <ngx-select [items]="paysList" [optionValueField]="'code'" [optionTextField]="'value'"
                                    formControlName="pays" [placeholder]="'FIELD.COMPTE_PP.PAYS'|translate" size='small'
                                    [ngClass]="{'disabled': accountPMFormGroup.get('pays').disabled}">
                                </ngx-select>
                                <div *ngIf="accountPMFormGroup.get('pays').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('pays').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row ">



                            <!-- adress -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.ADRESSE'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="address" placeholder="{{'FIELD.COMPTE_PM.ADRESSE'|translate}}">
                                <div *ngIf="accountPMFormGroup?.get('address')?.invalid && showValidationsMsg"
                                    class="text-danger">
                                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                </div>
                            </div>
                            <!-- phone -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.PHONE'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="phone"
                                    pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.PHONE'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('phone').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('phone').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('phone').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- fixe -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.PHONE'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="fixe"
                                    pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.FIXE'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('fixe').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('fixe').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('fixe').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- Email -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.EMAIL'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="email"
                                    pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$" placeholder="{{'FIELD.COMPTE_PM.EMAIL'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('email').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('email').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('email').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="row">

                            <!-- code postal -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label> -->
                                <input type="number" class="form-control form-control-sm" formControlName="codePostale" placeholder="{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('codePostale').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('codePostale').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>

                            </div>
                            <!-- site -->
                            <div class="col-md-3 mt-3">
                                <!-- <label class="col-form-label">{{'FIELD.COMPTE_PM.WEBSITE'|translate}}</label> -->
                                <input type="text" class="form-control form-control-sm" formControlName="webSite" placeholder="{{'FIELD.COMPTE_PM.WEBSITE'|translate}}">

                                <div *ngIf="accountPMFormGroup?.get('webSite')?.invalid && showValidationsMsg"
                                    class="text-danger">
                                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                </div>
                            </div>


                        </div>
                    </fieldset>

                </form>
                <!-- end account pm -->
            </div>

            <!-- buttons next/previos -->
            <div class="p-2 text-right">
                <button type="button" class="reset-button buttons-oriontation   btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                    (click)="onResetForm()" [disabled]="loading"><i class="ri-arrow-go-back-line"></i> </button>
                <button type="button" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate"
                        [disabled]="loading"><i class="ri-save-line" (click)="onSubmit()"></i></button>
            </div>
            <!-- end buttons next/previos -->

        </div>

    </div>
</div>
